Bug 894534 - unowned directory for func python module
Summary: unowned directory for func python module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: func
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Salevan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-12 00:05 UTC by Michael S.
Modified: 2016-05-13 06:27 UTC (History)
4 users (show)

Fixed In Version: func-0.30-8.fc23 func-0.30-8.fc22 func-0.30-8.fc24 func-0.30-8.el6 func-0.30-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-04 18:53:21 UTC


Attachments (Terms of Use)

Description Michael S. 2013-01-12 00:05:11 UTC
There is 3 unowned modules after installation of func

/usr/lib/python2.7/site-packages/func/minion/facts
/usr/lib/python2.7/site-packages/func/minion/facts/modules
/usr/lib/python2.7/site-packages/func/minion/modules/iptables

$ rpm -qf /usr/lib/python2.7/site-packages/func/minion/modules/iptables/common.py
func-0.30-1.fc18.noarch
$ rpm -qf /usr/lib/python2.7/site-packages/func/minion/modules/iptables
file /usr/lib/python2.7/site-packages/func/minion/modules/iptables is not owned by any package
$ LC_ALL=C rpm -qf /usr/lib/python2.7/site-packages/func/minion/modules         
func-0.30-1.fc18.noarch

the same goes for 
/usr/lib/python2.7/site-packages/func/minion/facts/ and /usr/lib/python2.7/site-packages/func/minion/facts/modules, who have file installed by fund, but where it create unowned directories

Comment 1 Fedora End Of Life 2013-12-21 10:20:36 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Michael S. 2013-12-21 13:51:28 UTC
still valid

Comment 3 Jan Kurik 2015-07-15 14:53:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora Update System 2016-04-25 23:23:45 UTC
func-0.30-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56dd3b87e9

Comment 5 Fedora Update System 2016-04-26 07:50:16 UTC
func-0.30-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-855265e137

Comment 6 Fedora Update System 2016-04-26 07:51:08 UTC
func-0.30-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1365732a26

Comment 7 Fedora Update System 2016-04-26 07:52:12 UTC
func-0.30-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-200f38df7c

Comment 8 Fedora Update System 2016-04-26 07:52:57 UTC
func-0.30-8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-acb030fc66

Comment 9 Fedora Update System 2016-04-26 16:22:27 UTC
func-0.30-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-855265e137

Comment 10 Fedora Update System 2016-04-27 00:51:24 UTC
func-0.30-8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-acb030fc66

Comment 11 Fedora Update System 2016-04-27 01:19:10 UTC
func-0.30-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56dd3b87e9

Comment 12 Fedora Update System 2016-04-27 01:21:01 UTC
func-0.30-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1365732a26

Comment 13 Fedora Update System 2016-04-27 01:21:33 UTC
func-0.30-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-200f38df7c

Comment 14 Fedora Update System 2016-05-04 18:53:06 UTC
func-0.30-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-05 01:22:32 UTC
func-0.30-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-07 11:51:46 UTC
func-0.30-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-13 06:06:59 UTC
func-0.30-8.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-13 06:27:09 UTC
func-0.30-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.